The following extracts a part drawing to a new wblock with suffixed filename. I want top open and run a plotting script (allready written) when the block is created. is (command "open" fname) a reasonable command, Its seems to be ignored and the script file runs in the original drawing (nothing opens) if not is it possible to open and plot this some other way? Many thanks (Defun c:ext (/) (setq sheetno (getstring " sheet number?: ")) (setq dname (getvar "dwgname")) (setq dname1 (substr dname 1 (- (strlen dname) 4))) (setq dpref (getvar "dwgprefix")) (setq fname (strcat dpref dname1 "-sched-" sheetno)) (setq pt1 (getpoint " pick left hatd corner of sheet?: ")) (setq ss1 (ssget)) (command "-wblock" fname "" pt1 ss1 "") (command "OPEN" fname) (command "script" "plot_a3 pdf") )